Bug 1022131 - libfonts: remove versioned jars from %{_javadir}
libfonts: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libfonts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:47 EDT by Stanislav Ochotnicky
Modified: 2013-10-24 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: libfonts-1.1.3-12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 11:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:47:49 EDT
Package libfonts seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
libfonts:
/usr/share/java/libfonts-1.1.3.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Stanislav Ochotnicky 2013-10-23 09:10:33 EDT
The jars are still versioned, the mentioned "Fixed In Version: is actually a mass rebuild build.

I prefer bugs to be ignored rather than closed as fixed when they are not. That way I can at least fix them up as provenpackager after some time.
Comment 2 Caolan McNamara 2013-10-23 11:02:49 EDT
I accidentally was in a f19 branch in that module when I pushed the changes, built and then blindly cut and pasted the nvr of the completed build without reading it. The mass rebuild one was libfonts-1.1.3-12.fc20 not libfonts-1.1.3-12.fc19

a) Fixed in rawhide now. b) Accidents happen sometimes.
Comment 3 Stanislav Ochotnicky 2013-10-24 04:22:29 EDT
(In reply to Caolan McNamara from comment #2)
> I accidentally was in a f19 branch in that module when I pushed the changes,
> built and then blindly cut and pasted the nvr of the completed build without
> reading it. The mass rebuild one was libfonts-1.1.3-12.fc20 not
> libfonts-1.1.3-12.fc19
> 
> a) Fixed in rawhide now.

Great!

> b) Accidents happen sometimes.

Yeah, sorry. I've just seen too many people actually do it on purpose hoping no one will notice. I try to assume the best in people, but some days I just can't...I'll maintain a whitelist I guess :-)

Note You need to log in before you can comment on or make changes to this bug.